## python-spython 0.3.13

=== debian/changelog ===
python-spython (0.3.13-2) unstable; urgency=medium

  * d/control: binary package type should be "all", not "any".

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jan 2024 09:44:46 +0100

python-spython (0.3.13-1) unstable; urgency=medium

  * Initial release. (Closes: #1061293)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jan 2024 10:41:27 +0100
