=== debian/control ===
Source: python-spython
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org> 
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest-runner,
               python3-pytest <!nocheck>,
               help2man
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-spython
Vcs-Git: https://salsa.debian.org/python-team/packages/python-spython
Homepage: https://github.com/singularityhub/singularity-cli
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-spython
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: singularity-container
Description: Command line Python tool for working with Singularity
 Singularity Python (spython) is the Python API for working with Singularity
 software containers.
 .
 This library does not support Singularity 2.x! It won't work and it is no
 longer supported.
